VSS 6.0 para Migração TFS

votos
2

Nossa equipe está migrando do VSS 6.0 para TFS 2008 para ser usado para fins de controle de origem. Eu estou querendo saber se alguém tem alguma experiência com essa migração. Em particular, estamos interessados ​​em preservar o histórico de arquivos no controle de origem, bem como quaisquer outras armadilhas potenciais.

Publicado 09/12/2008 em 15:11
fonte usuário
Em outras línguas...                            


3 respostas

votos
4

Você tem VSS 2005 instalado? Você precisa disso mais do que a versão anterior (6.0 d).

Além disso, você realmente precisa a história no TFS? Ou você pode desenhar uma linha na areia e dizer que toda a história antes de tal e tal data é em VSS e toda a história após essa data é no TFS? Se assim for, você pode simplesmente fazer um get mais recente do VSS e adicionar os arquivos para TFS. Migrando não é trivial, porque você precisa para lidar com usuários de VSS que não mapeiam para os utilizadores do domínio, usuários do VSS que não existem mais, e embora a ordem das operações de controle de origem é mantida a data / hora real da operação não é migrada, é no entanto armazenados no comentário como parte da migração.

Respondeu 23/05/2009 em 11:58
fonte usuário

votos
3

Isto é bastante fácil, uma vez setup. Você primeiro precisa criar um usermap.xml. Isto irá mapear os usuários do VSS para seus usuários TFS2008. Em seguida, você cria um arquivo de configuração do projeto. Eu ia postar exemplos de meu, mas eu não posso obter o XML para enviar mensagens.

O arquivo de configuração do projeto irá apontar para o arquivo XML usermap. Então tudo que você tem a fazer é digitar o comando "VSSConverter migrar settings.xml" para migrar ou "VSSConverter analisar settings.xml" para analisar o projeto. Eu sugiro que você analze antes de migrar o projeto.

Aqui está um link para mais informações. http://msdn.microsoft.com/en-us/library/ms253090(VS.80).aspx

Respondeu 09/12/2008 em 15:44
fonte usuário

votos
2

Infelizmente, quando eu tentei isso ...

TF60032: O conversor VSS requer o Visual SourceSafe 2005 ou posterior para ser executado. Instale Visual SourceSafe 2005 ou mais tarde e tente novamente.

Respondeu 20/05/2009 em 16:17
fonte usuário

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more